Bug 1688897 (CVE-2019-9637) - CVE-2019-9637 php: File rename across filesystems may allow unwanted access during processing
Summary: CVE-2019-9637 php: File rename across filesystems may allow unwanted access d...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-9637
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1688898 1690460 1690461 1690462 1690463 1690464
Blocks: 1688949
TreeView+ depends on / blocked
 
Reported: 2019-03-14 17:08 UTC by Laura Pardo
Modified: 2020-04-28 15:31 UTC (History)
5 users (show)

Fixed In Version: php 7.1.27, php 7.2.16, php 7.3.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 08:47:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3727 None None None 2019-11-06 10:12:37 UTC
Red Hat Product Errata RHSA-2019:2519 None None None 2019-08-19 08:42:53 UTC
Red Hat Product Errata RHSA-2019:3299 None None None 2019-11-01 13:00:50 UTC
Red Hat Product Errata RHSA-2020:1624 None None None 2020-04-28 15:31:48 UTC

Description Laura Pardo 2019-03-14 17:08:02 UTC
An issue was discovered in PHP before 7.1.27, 7.2.x before 7.2.16, and 7.3.x before 7.3.3. Due to the way rename() across filesystems is implemented, it is possible that file being renamed is briefly available with wrong permissions while the rename is ongoing, thus enabling unauthorized users to access the data.


Upstream Bug:
https://bugs.php.net/bug.php?id=77630

Upstream Patch:
http://git.php.net/?p=php-src.git;a=commit;h=e3133e4db70476fb7adfdedb738483e2255ce0e1

Comment 1 Laura Pardo 2019-03-14 17:08:17 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1688898]

Comment 4 errata-xmlrpc 2019-08-19 08:42:52 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:2519 https://access.redhat.com/errata/RHSA-2019:2519

Comment 5 Product Security DevOps Team 2019-08-19 08:47:50 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-9637

Comment 6 errata-xmlrpc 2019-11-01 13:00:49 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2019:3299 https://access.redhat.com/errata/RHSA-2019:3299

Comment 7 errata-xmlrpc 2020-04-28 15:31:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1624 https://access.redhat.com/errata/RHSA-2020:1624


Note You need to log in before you can comment on or make changes to this bug.